:root {
  --primary: teal;
  --dark: #333;
  --warning: red;
}

.primary {
  color: var(--primary);
}

.warning {
  color: var(--warning);
}

* {
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
  color: var(--dark);
  margin: 0;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.container {
  width: 500px;
  border: 1px solid #eee;
  border-radius: 3px;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

form {
  display: flex;
  margin-bottom: 20px;
}

button {
  font-weight: bold;
  padding: 10px 15px;
  border: 0;
  border-radius: 5px;
  margin: 0 3px;
  cursor: pointer;
  font-size: 1rem;
  outline: 0;
}

button.btn-primary {
  background: var(--primary);
  color: white;
}

button:hover {
  opacity: 0.8;
  transition: all 0.2s;
}

button.icon {
  background: none;
}

button.icon:hover {
  transform: scale(1.15);
  transition: all 0.2s;
}

input {
  padding: 8px 15px;
  outline: 0;
  border: 1px solid #ddd;
  border-radius: 3px;
}

form input {
  margin-right: 15px;
  flex: 1;
}
p {
  margin: 0;
}

ul {
  padding: 0;
  list-style: none;
}

li {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1rem;
}

li input {
  flex: 1;
}

li div {
  display: flex;
  justify-content: space-between;
}

li p {
  flex: 1;
}

li .todo {
  flex: 0 0 20px;
  height: 20px;
  border-radius: 30px;
  margin-right: 15px;
  border: 2px solid var(--primary);
  cursor: pointer;
}

li .todo.done {
  background: var(--primary);
  border: 2px solid var(--primary);
}

li .todo:hover {
  background: var(--primary);
  opacity: 0.8;
  transform: scale(1.15);
  transition: all 0.2s;
}
